Ragnar 3dsmax Documentation

Documentation

  • General
    • End User License Agreement
    • Minimum System Requirements
  • Getting Started
    • Using Ragnar


Licensing

  • To use Ragnar you need a license key. You can obtain one upon request on our site or discord channel.
  • Upon receiving a license key, in Ragnar dialog go to the Settings tab and enter it in the License Key text box. If everything is correct you should see the "Ready" message displayed after a little while.

Using Ragnar

  • Ragnar works entirely through the Ragnar dialog. You can show (and toggle) this dialog through 3dsmax main menu, Ragnar menu or through RgShowDialog command in MaxScript listener.
  • When the dialog first opens it will attempt to connect to the central server. If the connection is successful the prompt text box and the Do It button will become enabled.
  • Simply enter a command using your natural language (English or otherwise) and press Enter or the Do It button
  • A progress bar and a status message will be displayed. If the command is successful you will see the results, and a "Success" message will be printed.
  • Enter your next command. Each command you type is contextual, having a history with previous commands so Ragnar will be able to work with previous changes, knowing what it did before.
Missing Something? Let us know if this page needs more information about the topic.


Minimum System Requirements

Overview

Ragnar for 3ds Max is designed to work with various versions of Autodesk 3ds Max. However, there are minimum requirements that must be met for Ornatrix to operate effectively. Some of these minimum requirements are determined by your specific 3ds Max version since Ragner runs within it.

Hardware

Ragnar does not consume nor require high-end specs because it merely augments the existing functionality of 3dsmax. however, we recommend using a modern CPU (Intel or AMD) with a minimum of 16 GB of RAM to achieve acceptable performance when working with production scenes.

Operating System

Ragnar requires Windows 10 or a later version, with the VC 2019 runtime installed.

3dsmax Version

Ragnar is supported on all versions of 3dsmax newer and including 2018.

Missing Something? Let us know if this page needs more information about the topic.


End User License Agreement

End-User License Agreement For Ragnar Plugin For Autodesk 3dsmax

IMPORTANT PLEASE READ THE TERMS AND CONDITIONS OF THIS LICENSE AGREEMENT CAREFULLY BEFORE CONTINUING WITH THIS PROGRAM INSTALL:

Ephere's End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and Ephere Inc. for the Ephere software product(s) identified above which may include associated software components, media, printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT"). By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this EULA. This license agreement represents the entire agreement concerning the program between you and Ephere, (referred to as "licenser"), and it supersedes any prior proposal, representation, or understanding between the parties. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE PRODUCT.

The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold.

1. GRANT OF LICENSE.

The SOFTWARE PRODUCT is licensed as follows:

  1. Installation and Use.
    Ephere grants you the right to install and use copies of the SOFTWARE PRODUCT on your computer running a validly licensed copy of the operating system for which the SOFTWARE PRODUCT was designed [e.g., Windows 7, Windows 8, Windows 10, Cent OS, Mac OS].
  2. Backup Copies.
    You may also make copies of the SOFTWARE PRODUCT as may be necessary for backup and archival purposes.

2. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.

  1. Maintenance of Copyright Notices.
    You must not remove or alter any copyright notices on any and all copies of the SOFTWARE PRODUCT.
  2. Distribution.
    You may not distribute registered copies of the SOFTWARE PRODUCT to third parties. The SOFTWARE PRODUCT may only be present on a workstation belonging to the entity which attained the license to use it.
  3. Prohibition on Reverse Engineering, Decompilation, and Disassembly.
    You may not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.
  4. Rental.
    You may not rent, lease, or lend the SOFTWARE PRODUCT.
  5. Support Services.
    Ephere may provide you with support services related to the SOFTWARE PRODUCT ("Support Services"). Any supplemental software code provided to you as part of the Support Services shall be considered part of the SOFTWARE PRODUCT and subject to the terms and conditions of this EULA.
  6. Compliance with Applicable Laws.
    You must comply with all applicable laws regarding use of the SOFTWARE PRODUCT.

3. TERMINATION

Without prejudice to any other rights, Ephere may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the SOFTWARE PRODUCT in your possession.

Failure to comply with this EULA will result in a forfeit of all your rights towards SOFTWARE PRODUCT and an immediate termination of your license.

4. COPYRIGHT

All title, including but not limited to copyrights, in and to the SOFTWARE PRODUCT and any copies thereof are owned by Ephere or its suppliers. All title and intellectual property rights in and to the content which may be accessed through use of the SOFTWARE PRODUCT is the property of the respective content owner and may be protected by applicable copyright or other intellectual property laws and treaties. This EULA grants you no rights to use such content. All rights not expressly granted are reserved by Ephere.

5. NO WARRANTIES

Ephere expressly disclaims any warranty for the SOFTWARE PRODUCT. The SOFTWARE PRODUCT is provided 'As Is' without any express or implied warranty of any kind, including but not limited to any warranties of merchantability, noninfringement, or fitness of a particular purpose. Ephere does not warrant or assume responsibility for the accuracy or completeness of any information, text, graphics, links or other items contained within the SOFTWARE PRODUCT. Ephere makes no warranties respecting any harm that may be caused by the transmission of a computer virus, worm, time bomb, logic bomb, or other such computer program. Ephere further expressly disclaims any warranty or representation to Authorized Users or to any third party.

6. LIMITATION OF LIABILITY

In no event shall Ephere be liable for any damages (including, without limitation, lost profits, business interruption, or lost information) rising out of 'Authorized Users' use of or inability to use the SOFTWARE PRODUCT, even if Ephere has been advised of the possibility of such damages. In no event will Ephere be liable for loss of data or for indirect, special, incidental, consequential (including lost profit), or other damages based in contract, tort or otherwise. Ephere shall have no liability with respect to the content of the SOFTWARE PRODUCT or any part thereof, including but not limited to errors or omissions contained therein, libel, infringements of rights of publicity, privacy, trademark rights, business interruption, personal injury, loss of privacy, moral rights or the disclosure of confidential information.

Missing Something? Let us know if this page needs more information about the topic.